## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celServerEventData Class Reference

The data about a server event. More...

`#include <physicallayer/nettypes.h>`

List of all members.

## Public Attributes

csRef< iCelDataBuffer > | event_data
| The persistent data of the event.
csTicks | event_time
| The time at which the event occured.
celServerEventType | event_type
| The type of the event.
bool | reliable
| True if we need to be sure that the message has been received by the client.

## Detailed Description

The data about a server event.

Definition at line 305 of file nettypes.h.

## Member Data Documentation

csRef<iCelDataBuffer> celServerEventData::event_data

| The persistent data of the event. Definition at line 321 of file nettypes.h.

csTicks celServerEventData::event_time

| The time at which the event occured. Definition at line 316 of file nettypes.h.

celServerEventType celServerEventData::event_type

| The type of the event. Definition at line 311 of file nettypes.h.

bool celServerEventData::reliable

| True if we need to be sure that the message has been received by the client. Definition at line 327 of file nettypes.h.

The documentation for this class was generated from the following file:

- physicallayer/nettypes.h